Lingxing
切换旧版

取消STA任务

POST/amzStaServer/openapi/inbound-plan/cancelInboundPlan

接口信息

API Path请求协议请求方式令牌桶容量
/amzStaServer/openapi/inbound-plan/cancelInboundPlanHTTPSPOST1

请求参数

inboundPlanIdstring必填
STA任务编号,对应创建STA任务接口对应字段【inboundPlanId】
sidinteger必填
亚马逊店铺sid,对应查询亚马逊店铺列表接口对应字段【sid】

请求cURL示例

curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/inbound-plan/cancelInboundPlan?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
    "sid": 104
}'

返回结果

codeinteger必填
状态码,0 成功
示例 0
messagestring必填
消息提示
示例 success
errorDetailsarray<any>必填
错误信息
requestIdstring必填
请求链路id
responseTimestring必填
响应时间
示例 2020-05-18 11:23:47
dataobject必填
响应数据
隐藏子属性
errorMsgstring必填
错误信息
inboundPlanIdstring必填
亚马逊任务编号
taskIdstring必填
任务id
taskStatusstring必填
任务状态
process
success
failure
local_failure

返回成功示例

{
    "code": 0,
    "message": "操作成功",
    "errorDetails": null,
    "requestId": "7004576e64e04a489f18186c9ec92659.1732858868684",
    "responseTime": "2024-11-29T13:41:08.684",
    "data": {
        "taskId": "231512640894445056",
        "taskStatus": "process",
        "inboundPlanId": "wf05d62111-7ae6-4e31-8e69-1ffd5ac09fd2",
        "errorMsg": ""
    }
}